package com.gxzc.zen.sso.aop

import com.gxzc.zen.api.util.SysUserUtil
import com.gxzc.zen.umps.util.SSOUtil
import org.springframework.web.servlet.ModelAndView
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

/**
 *
 * @author NorthLan
 * @date 2018/3/24
 * @url https://noahlan.com
 */
class CurrentUserHandler : HandlerInterceptorAdapter() {

    override fun preHandle(request: HttpServletRequest?, response: HttpServletResponse?, handler: Any?): Boolean {
        SSOUtil.TL.set(SysUserUtil.getById(SSOUtil.getCurUserId(request!!)!!)!!)
        return super.preHandle(request, response, handler)
    }

    override fun postHandle(request: HttpServletRequest?, response: HttpServletResponse?, handler: Any?, modelAndView: ModelAndView?) {
        SSOUtil.TL.clear()
        super.postHandle(request, response, handler, modelAndView)
    }
}